Bug 489306 - Firefox becomes unstable during related package updates
Firefox becomes unstable during related package updates
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
: Reopened, Triaged
: 531791 569054 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 08:53 EDT by Steven Garrity
Modified: 2015-02-18 06:58 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:58:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 526212 None None None Never

  None (edit)
Description Steven Garrity 2009-03-09 08:53:23 EDT
Description of problem:
It appears that if Firefox-related packages (Firefox, gecko, etc.) are being updated while you are actually using Firefox, it can become unstable. I've had a variety of different symptoms during different updates (non-page related JS errors, freezing, etc.).

Either Firefox should remain usable during the upgrade, or users should be warned (forced?) to shutdown/restart Firefox.
Comment 1 Martin Stransky 2009-03-09 09:14:33 EDT
Yeah, we're just working on that issue.
Comment 2 Martin Jürgens 2009-03-09 11:13:46 EDT
Martin, cool, can I find more information about this somewhere?
Comment 3 Martin Stransky 2009-03-09 11:22:56 EDT
It's not available yet...
Comment 4 Martin Stransky 2009-10-30 09:31:07 EDT
*** Bug 531791 has been marked as a duplicate of this bug. ***
Comment 5 Martin Stransky 2009-11-03 09:59:12 EST
Upstream bug - https://bugzilla.mozilla.org/show_bug.cgi?id=526212
Comment 6 Bug Zapper 2009-11-16 04:51:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Clyde E. Kunkel 2009-12-15 17:16:57 EST
 Bug 531791 -  all opened tabs lost on update  is reported as a duplicate of this bug.  However, it is hard to tell if it is the same bug.  In any case, I have the same problem as  Bug 531791 -  all opened tabs lost on update  only it first appeared with an update in rawhide AFTER Fedora 12 was released.

Are talking the same things here?  Or should there be an active rawhide bz?
Comment 8 Roderick Johnstone 2009-12-21 10:38:40 EST
According to comment #1 this issue was being worked on in March 2009. Indeed I see Martin's upstream bug mentioned in #5 included a patch to fix the problem but  the upstream bug report (from Early November 2009) is still  not even assigned!

It would be good to move this bug along as my users always get caught by it.

Can we get the patch into fedora updates even if upstream is unwilling to accept for whatever reason, please?

I'm happy to comment upstream, as well, if that might be helpful.
Comment 9 Clyde E. Kunkel 2009-12-23 11:11:56 EST
firefox-3.6.1-0.7.b5.fc13.x86_64 is now preserving tabs. Did the update without ff running.
Comment 12 Martin Stransky 2010-05-13 05:55:36 EDT
*** Bug 569054 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2010-11-04 07:27:45 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Adam Pribyl 2010-12-04 13:41:03 EST
This problem still remains, but the fix is probably up to Mozilla.
Comment 15 Fedora End Of Life 2012-08-16 18:20:15 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Fedora End Of Life 2013-04-03 16:17:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Fedora End Of Life 2015-01-09 16:38:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 06:58:47 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.